PQ2-REDISTRIBUTE(1)

NAME
pq2-redistribute - Execute the file movements as determined by pq2-ana-dist

SYNOPSIS
pq2-redistribute [-b backend] -f filemv

DESCRIPTION
This manual page documents briefly the pq2-redistribute program.

pq2-redistribute is a script executing the file movements as determined by pq2-ana-dist(1) using the specified backend. Currently only the XROOTD backend is supported (tag 'xrd'; default).

More details about the input file can be found in the man page pq2-ana-dist(1).

OPTIONS

-h, --help
    Display help information.

--dryrun
    Only show the action that should be done (don't execute them).

-b <backend>
    Tag identifying the backend to be used. Currently only 'xrd' (for XROOTD) is supported.

-f <filemv>
    File with the file movement directives produced by pq2-ana-dist .

-r <redirurl>, --redir=<redirurl>
    URL of the redirector from where the files should be copied and deleted.

-t <dir>, --tmpdir=<dir>
    Directory for temporary files; default is /tmp/<username>. Thsi is used to store temporary copies of the files during transfers.

ENVIRONMENT VARIABLES
See setup-pq2(1).

SEE ALSO
pq2(1), pq2-ls(1), pq2-ls-files(1), pq2-ls-files-server(1), pq2-info-server(1), pq2-ana-dist(1), pq2-put(1), pq2-verify(1), pq2-rm(1), pq2-cache(1)

For more information on the ROOT system, please refer to http://root.cern.ch (http://root.cern.ch/)

ORIGINAL AUTHORS
Gerardo Ganis for the ROOT team.

COPYRIGHT
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR
This manual page was originally written by Gerardo Ganis <gerardo.ganis@cern.ch>, for ROOT version 5.